View Issue Details

This bug affects 1 person(s).
 18
IDProjectCategoryView StatusLast Update
17488Bug reportsSurvey editingpublic2023-06-01 17:44
Reportertpartner Assigned Toadamzammit  
PrioritylowSeveritycrash 
Status closedResolutionfixed 
Product Version3.25.19 
Target Version3.x 
Summary17488: Cannot view survey after updating to version 3.27.9 (also in LS5) with custom twig extension (breaks survey)
Description

A fresh pull from GIT (3.x-LTS), updating to version 3.27.9, results in an error "Property "LSETwigViewRenderer.user_extensions" is not defined." when trying to execute or preview a survey or editing a survey theme.

For execute survey or edit theme, debug=0, see capture_2.png.
For execute survey, debug=1, see capture_3.png.
For edit theme, debug=1, see capture_4.png.

TagsNo tags attached.
Bug heat18
Complete LimeSurvey version number (& build)LS5
I will donate to the project if issue is resolvedNo
Browsern/a
Database type & versionlibmysql - mysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Users monitoring this issue

User List Mazi

Activities

tpartner

tpartner

2021-08-01 14:56

partner  

capture_2.png (12,224 bytes)   
capture_2.png (12,224 bytes)   
capture_3.png (131,111 bytes)
capture_4.png (449,178 bytes)
DenisChenu

DenisChenu

2021-08-01 15:57

developer   ~65763

accessible_vanilla ?

DenisChenu

DenisChenu

2021-08-01 15:58

developer   ~65764

https://gitlab.com/SondagesPro/SurveyThemes/accessible_vanilla ?
Archived, outdated
But must not broke in 3.X

tpartner

tpartner

2021-08-01 16:20

partner   ~65765

Reverting to release 3.26.3+210511 fixes it.

tpartner

tpartner

2021-08-01 16:27

partner   ~65766

accessible_vanilla ?

All themes.

ollehar

ollehar

2021-08-02 10:34

administrator   ~65767

Debug = 2 and stacktrace?

ollehar

ollehar

2021-08-02 10:35

administrator   ~65768

Oh, stacktrace was in other pic, sorry.

ollehar

ollehar

2021-08-02 10:35

administrator   ~65769

No one reported this from our hosting. Strange.

ollehar

ollehar

2021-08-02 10:35

administrator   ~65770

Can it be reproduced on a fresh install?

tpartner

tpartner

2021-08-02 15:07

partner   ~65773

No.

The problem appears when I set 'use_custom_twig_extensions'=>true in config.php.

Have we scrapped custom twig extensions?

ollehar

ollehar

2021-08-02 15:08

administrator   ~65774

Uh, not that I know of. Denis?

DenisChenu

DenisChenu

2021-08-02 16:44

developer   ~65776

I never use this. Louis add it.

ollehar

ollehar

2021-08-02 16:49

administrator   ~65777

I don't see any difference in the code between 3.x and master here.

application/core/LSYii_Application.php: $aApplicationConfig['components']['twigRenderer']['user_extensions'][] = $extensionClass;

ollehar

ollehar

2021-08-03 12:32

administrator   ~65785

Any ideas? Can you help us reproduce it?

tpartner

tpartner

2021-08-03 13:27

partner   ~65786

Any ideas? Can you help us reproduce it?

Did you try 'use_custom_twig_extensions'=>true in config.php, and testing a custom twig extension?

Louis has some readme files in /upload/twig/extensions.

ollehar

ollehar

2021-08-03 14:00

administrator   ~65787

testing a custom twig extension

How?

tpartner

tpartner

2021-08-03 14:26

partner   ~65788

Place this in a survey theme twig file - {{ helloWorld() }}. It will fire Louis' helloWorld() sample function and return "Hello world".

Or, for a sample with a little HTML, upload the attached extension file to /upload/twig/extensions/ and add this to the twig file - {{ testFunction1() | raw }}.

ollehar

ollehar

2021-08-03 16:07

administrator   ~65791

Got it, thanks!

galads

galads

2021-08-03 16:44

reporter   ~65794

I confirm the error. However, I think the report should be "using custom twig extension breaks survey" since it does not happen for normal customization of themes without using twig extension.

KRav

KRav

2021-11-24 11:33

partner   ~67530

any news on this?

in YIIbase.php 227 is it crashing.

Property "LSETwigViewRenderer.user_extensions, we make "new" there, for LSETwigViewRenderer. Mustn't the class have the property "user_extensions".? It does not! I can't find this in 3.26, too.

tpartner

tpartner

2022-04-11 14:12

partner   ~68994

That is your opinion, not mine! Are you just going to ignore the bug?

galads

galads

2022-04-13 08:53

reporter   ~69033

There are more than 1000 bugs affecting 70% of all users. We do not have the resources to fix a bug that affects only 2% of our users and would take a lot of time to figure out. We are always happy to get a PR.

tpartner

tpartner

2022-04-13 13:00

partner   ~69046

Another one of my bugs ignored.

If you cannot support it, the feature should probably be removed.

Please don't condescendingly give me the gears about a pull request. I already spend A LOT of volunteer time for LimeSurvey.

DenisChenu

DenisChenu

2022-04-13 13:02

developer   ~69047

If you cannot support it, the feature should probably be removed.

Correction : «If you cannot support it, the feature should probably never be added»

I really think sometimes some feature was added without real idea of all work to be done to fix it, improve it and maintain at long term issue …

ollehar

ollehar

2022-04-13 13:06

administrator   ~69048

Adding unit tests is really the only safe way to make sure a feature stays supported.

@galads Interested in fixing this?

ollehar

ollehar

2022-04-13 13:08

administrator   ~69049

Wait sorry, I mean @gabrieljenik, sorry ^^

gabrieljenik

gabrieljenik

2022-04-21 19:21

manager   ~69180

The ETwigViewRenderer class from yiiext/twig-renderer was already updated by Lime.
Looks like those Lime modifications were lost in some reorganization (May 2021)

Since that is a third-party, we applied the updated back but this time in LSETwigViewRenderer (which extends ETwigViewRenderer) so they don't get lost again.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2360

DenisChenu

DenisChenu

2022-07-06 15:12

developer   ~70764

@tpartner : maybe you can test the commit ?

tpartner

tpartner

2022-07-06 20:00

partner   ~70779

@gabrieljenik, thanks.

@DenisChenu, the commit fixes the problem in 3.28.18.

It also fixes the problem when I apply it to application/core/LSETwigViewRenderer.php in 5.3.19. Should we open a new bug for that?

gabrieljenik

gabrieljenik

2022-07-06 20:01

manager   ~70780

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33633

gabrieljenik

gabrieljenik

2022-07-06 20:10

manager   ~70781

It also fixes the problem when I apply it to application/core/LSETwigViewRenderer.php in 5.3.19. Should we open a new bug for that?

Nope, we will create a new PR.
May ask for your help testing then?

Thanks

tpartner

tpartner

2022-07-06 20:15

partner   ~70782

@gabrieljenik, of course, no problem.

LimeBot

LimeBot

2022-07-11 11:28

administrator   ~70828

Fixed in Release 3.28.19+220712

tpartner

tpartner

2022-07-11 13:44

partner   ~70845

Why is this closed? Was it fixed in 5.x?

ollehar

ollehar

2022-07-11 13:46

administrator   ~70846

It's automatically closed by our release tool if there's a commit phrased like "Fixed issue <bug number>".

Is the issue reported for LS5 too?

tpartner

tpartner

2022-07-11 13:54

partner   ~70847

Please see the thread above.

capture-3.png (41,595 bytes)   
capture-3.png (41,595 bytes)   
gabrieljenik

gabrieljenik

2022-07-18 14:55

manager   ~70999

@tpartner: Can I as for your help testing the patch for master?
https://github.com/LimeSurvey/LimeSurvey/pull/2518

Thanks for the help!

tpartner

tpartner

2022-07-27 13:32

partner   ~71178

@gabrieljenik, sorry for the delay. Tested - all good! Thanks.

gabrieljenik

gabrieljenik

2022-07-27 15:17

manager   ~71182

Thanks @tpartner !

gabrieljenik

gabrieljenik

2022-08-02 10:44

manager   ~71291

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33699

LimeBot

LimeBot

2022-08-08 09:17

administrator   ~71371

Fixed in Release 5.3.30+220808

adamzammit

adamzammit

2023-06-01 17:44

developer   ~75336

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=34757

Related Changesets

LimeSurvey: 3.x-LTS dd1b4513

2022-07-06 20:01:32

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17488: Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) (#2360) Affected Issues
17488
mod - application/core/LSETwigViewRenderer.php Diff File

LimeSurvey: master 0d1f8bd9

2022-08-02 10:32:54

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17488: Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) (#2518)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17488
mod - application/core/LSETwigViewRenderer.php Diff File

LimeSurvey: 3.x-LTS 6cd2e8b8

2023-06-01 17:35:47

adamzammit


Committer: GitHub Details Diff
Fixed issue 17491: Multiple Short Text subquestions missing from Export Printable Survey (#3134)

* Fixed issue 17962: Export fails when called from a Cron process or console application (#2417)

* Fixed issue 18074: Exit and clear survey doesn't work (#2397)

* Fixed issue 17872: Answerfilters reset after pagination changed (#2403)

* Fixed issue 17987 : quota url need to be decoded (#2395)

* Fixed issue 17709: GUI setting for DB session lifetime does not apply (#2415)

* Dev Automatic translation update

* Release 3.28.12+220524

* Updated translation: Malay by lucas_encuesta.biz
Updated translation: Maltese by gabrieljenik

* Updated translation: Italian (Informal) by lucas_encuesta.biz

* Fixed issue #18160: [security] Update jquery-ui to 1.13.1

* Release 3.28.13+220531

* Fixed issue 18029: Removed html tags in emails (#2411)

* Fixed issue 18129 : potential 500 error in file upload (#2434)

* Fixed issue 18043: Subquestion attributes shown in Short Free text quesiton type

* Dev Update ComfortUpdate URL to get a trial key

* Revert "Fixed issue 18043: Subquestion attributes shown in Short Free text quesiton type"

This reverts commit 70bf2e78e3b33db16ee5cc6fb9a31fe94a5d9b82.

* Fixed issue: Question organizer not working

* Fixed issue 18128 : JS error on 1st survey page

* Dev Updated language description for Sami

* Dev: Avoid issue with ndebug set and null pageTailorInfo

* Fixed issue 18140: cannot import vv file (with debug set) (#2453)

Dev: remove uneeded unlink and add comment in function

* Updated translation: French (France) by DenisChenu
Updated translation: Uighur by walkingdead

* Release 3.28.14+220608

* Fixed issue 18086: Custom 'other' label text not applied to Bootstrap button layout (#2422)

* Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2467)

* Updated translation: Czech by jelen1
Updated translation: Indonesian by ysulistya
Updated translation: Czech (Informal) by jelen1

* Release 3.28.15+220616

* Updated translation: Catalan by qualitatuvic
Updated translation: French (France) by DenisChenu, Xave
Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.16+220621

* Fixed issue 18186: Language changer does not work in registration page (#2474)

Fixed issue 18186: Language changer does not work in registration page
Dev: same fix than master
Dev: keyboard navigation OK
Dev: submit button OK

* Fixed issue: Error after user deletion

* Release 3.28.17+220627

* Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2484)

* Fixed issue [security] #18042: Path-relative stylesheet import (PRSSI) vulnerability (#2374) (#2495)

* Fixed issue 18201: Unable to import LSA file with MSSQL and debug set (#2472)

Dev: check if $result['CONTRAINT_NAME'] exist before using it

* Fixed issue [security] #18200: User with only reponse export can export Survey + token (survey archive) (#2491)

* Dev Automatic translation update

* Revert "Fixed issue 18029: Removed html tags in emails (#2411)"

This reverts commit 39705d571d21ff59c8aea85c6ceca4858ed48998.

* Updated translation: German by c_schmitz
Updated translation: Basque by zatarain
Updated translation: Italian by lfanfoni, ritapas
Updated translation: Kazakh by CenterOfExcellence
Updated translation: Kannada by mahantesh19
Updated translation: Luxembourgish by Mazi
Updated translation: Dutch by Han
Updated translation: Slovak by jelen1
Updated translation: Ukrainian by olly
Updated translation: Zulu by erik.lamontagne
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Dutch (Informal) by Han
Updated translation: Chinese (Simplified) by FangZhijian

* Release 3.28.18+220706

* Fixed issue 17952: Command action try to open uneeded session (#2496)

Dev: replace the get action on ConsoleHttpSession

* Fixed issue 17488: Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) (#2360)

* Updated translation: Hungarian by kkd

* Release 3.28.19+220712

* Fixed issue #18183: Date filter at statistics is not applied correctly (#2493)

* Fixed issue #18106: Missing survey ID replacements at registration screen

* Updated translation: Basque by admin67
Updated translation: Japanese by nomoto
Updated translation: German (Informal) by c_schmitz

* Release 3.28.20+220719

* Fixed issue 17458: Check integrity broke with SQL error (#2312)

Dev: add a try/cast
Dev: happen if subquestion title are number only
Dev: No need to check if integer, and don't throw exception …
Dev: log it as info

* Updated translation: Swedish by maxzomborszki

* Release 3.28.21+220726

* Fixed issue 17972: events are dispatched if the plugin is deactivated (#2335)

Dev: Add param to load init
Dev: set it to false in PluginManagerController in all case
Dev: active plugin are loaded via PluginManager->loadPlugins
Dev: use plugin model active status in PluginManager
Dev: init the plugin before activate

* Updated translation: French (France) by c_schmitz, DenisChenu, eddylackmann, fradeff, frederic93190, Xave
Updated translation: Thai by tomzt
Updated translation: Turkish by kayazeren

* Release 3.28.22+220802

* Updated translation: Lithuanian by c_schmitz, simasj

* Release 3.28.23+220809

* Updated translation: Croatian by rovinj

* Release 3.28.24+220816

* Fixed issue: Cannot load previously saved response to resume, instead the message "There is no matching saved response" is shown after entering identifier and password

* Fixed issue 16795: typo in default text for confirmation email (in english) (#2572)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Dev Automatic translation update

* Fixed issue 17485: The getAnswerQuery method cannot be used in the Answers model (#2569)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18209: Missing RemoteControl function to get the field mapping (#2490)

* Dev: Add validate command needed to validate extremely big email templates with expressions

* Updated translation: Catalan by qualitatuvic
Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.25+220822

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1, slansky

* Updated translation: Bengali by lucas_encuesta.biz
Updated translation: German by c_schmitz
Updated translation: Georgian by lucas_encuesta.biz
Updated translation: German (Informal) by c_schmitz

* Fixed issue: No response recorded when using registration
Dev Revert "Fixed issue #18106: Missing survey ID replacements at registration screen"
Dev This reverts commit f23a8a8a35afca6d64b595e20cb9a6f65facadcc.

* Updated translation: German by c_schmitz
Updated translation: Georgian by c_schmitz
Updated translation: German (Informal) by c_schmitz

* Release 3.28.26+220829

* Updated translation: Chinese (Simplified) by johnxan

* Updated translation: Galician by Calidonia
Updated translation: Italian by lfanfoni
Updated translation: Swedish by maxzomborszki
Updated translation: Thai by adzpire, tomzt
Updated translation: Turkish by kayazeren
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Valencian by joamuran, vbraque

* Release 3.28.27+220905

* Updated translation: Dutch by Han
Updated translation: Dutch (Informal) by Han

* Release 3.28.28+220912

* Fixed issue 18344: Unable to download file in response list (IIS)

* Fixed issue 18133: Set "Other" state has no clue about current state

* Fixed issue 16697: «inherit everything» still not translated (#2609)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.29+220920

* Fixed issue 17870: Default value with line feed broke Expression Script

* Fixed issue 18240: QuestioinTheme browserdetect, Show Platform information didn't work (#2596)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18351: Extra token placeholder show as invalid in expression (#2601)

Dev: add completed to fixed columns
Dev: use all in expression validator since Script use all token->attributes

* Updated translation: Italian by lfanfoni
Updated translation: Italian (Informal) by lfanfoni

* Updated translation: German by c_schmitz
Updated translation: Khmer by lucas_encuesta.biz
Updated translation: Urdu by lucas_encuesta.biz

* Updated translation: German (Informal) by c_schmitz

* Release 3.28.30+220927

* Updated translation: Polish by elissa
Updated translation: Thai by tomzt
Updated translation: Uighur by walkingdead
Updated translation: Polish (Informal) by elissa

* Release 3.28.31+221005

* Fixed issue 17950: is_int(false) returns true (#2431)

Dev: false and '' disallowed

* Fixed issue: HTML tags are not allowed for admins in participant attributes (#2626)

* Fixed issue 15195: Expiration date can be set before start date (#2551)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17117: 'Send invitations' button does nothing after failed send invitations (#2571)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18134: Present subquestions/answer options in random order has no clue about current state (#2563)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17173: Publication and access setting 'listed publicly' not displayed correctly (#2544)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18141: changing display mode from extended to compact in survey responses windows causes freeze (#2499)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 14386: Pagination legend incorrect for Survey Groups (#2535)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Uighur by walkingdead

* Release 3.28.32+221011

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1

* Dev Text fixes

* Dev Automatic translation update

* Dev Text fixes

* Dev Automatic translation update

* Updated translation: German by c_schmitz
Updated translation: German (Informal) by c_schmitz

* Fixed issue: [security] Various major & minor security issues discovered by automated security tools

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.33+221020

* Fixed issue: Missing files

* Release 3.28.34+221021

* Fixed issue: Cannot edit file in theme editor

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1

* Release 3.28.35+221025

* Fixed issue: Cannot add participant to CPDB

* Fixed issue 18430: Unable to ComfortUpdate

* Dev Small fix

* Updated translation: Italian by lfanfoni
Updated translation: Italian (Informal) by lfanfoni

* Dev Update to Yii 1.1.26 for better 8.1 compatibilty

* Release 3.28.36+221102

* Fixed issue: ComfortUpdate is blocked by error/warning/notice when debug mode is active

* Fixed issue 15310: Display dropdown boxes - Date/Time question type not working correctly if minimum date < 1900 (#2628)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17883: QueXML formatting cannot be changed (#2561)

Dev: Patch by 2BITS_PL

* Dev Performance enhancement for survey list
Dev Bumped updater version

* Dev Performance enhancement for survey list

* Dev Automatic translation update

* Release 3.28.37+221108

* Fixed issue: Survey gets into a state where it seems to be active but isn't - to fix this run integrity check

Partially reverting issue 15195.
Similar to commit https://github.com/LimeSurvey/LimeSurvey/commit/dbc22fcbf4d3bc80c44b596ab99346f8f280bf81

* Updated translation: Catalan by qualitatuvic
Updated translation: Czech by jelen1
Updated translation: Portuguese (Brazil) by educaticteced, effgarces, filhocf, josesiqueira, mauriciofurtado
Updated translation: Czech (Informal) by jelen1

* Release 3.28.38+221115

* Fixed issue: ComfortUpdate should use SSL by default

* Fixed issue 15195: Expiration date can be set before start date (#2727)

* Fixed issue 18488: Conditions are not properly highlighted if they have additional spaces (#2736)

* Updated translation: Hungarian by kkd
Updated translation: Valencian by vbraque

* Release 3.28.39+221122

* Fixed issue 16187: Cant Create Custom Survey ID (need proper error message) (#2725)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 18461 Survey groups at survey list screen should be listed alphabetically (#2723)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 14310: Google Analytics functionality doesn't work (#2643)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Italian by lfanfoni, ritapas
Updated translation: Polish by elissa
Updated translation: Italian (Informal) by lfanfoni, ritapas
Updated translation: Polish (Informal) by elissa

* Release 3.28.40+221129

* Fixed issue 17818: Copy a multiple choice question send a DB error (MSSQL) (#2593)

Dev: switchMSSQLIdentityInsert when needed

* Updated translation: French (France) by arnaud21, DenisChenu, Xave
Updated translation: Italian by lfanfoni
Updated translation: Dutch by c_schmitz, Han
Updated translation: Polish by elissa
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Dutch (Informal) by c_schmitz, Han
Updated translation: Polish (Informal) by elissa

* Release 3.28.41+221206

* Fixed issue [security] #18514 : no CSRF control when delete token table (#2760)

Dev: move to POST action

* Updated translation: Catalan by qualitatuvic
Updated translation: Galician by Calidonia
Updated translation: Japanese by c_schmitz, d_inoue, nomoto
Updated translation: Portuguese (Brazil) by mauriciofurtado

* Release 3.28.42+221213

* Updated translation: Azerbaijani by PawelAtroszko
Updated translation: Bosnian by PawelAtroszko
Updated translation: Galician by Calidonia
Updated translation: Luxembourgish by Mazi

* Fixed issue 18086: Custom "other" label text not applied to Bootstrap button layout (#2749)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 18338: For participants, expiration date can be set before start date (#2726)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Co-authored-by: Olle Härstedt <olleharstedt@yahoo.com>

* Updated translation: Bosnian by PawelAtroszko
Updated translation: German by c_schmitz, eddylackmann

* Dev: Fix CI

* Dev: Fix CI

* Dev: Fix CI

* Dev: Fix CI

* Dev: Debug index.php

* Updated translation: Catalan by qualitatuvic

* Dev: Missing mbstring in CI

* Dev: Missing FF capabilities for local cert (CI)

* Dev: Try with testdox (CI)

* Dev: Insert authdb plugin row before running tests (CI)

* Dev: Fix typo

* Dev: Use -b limesurvey (CI)

* Dev: testdox swallows errors :( (CI)

* Dev: cat config.php (CI)

* Dev: Wait longer at login screen (CI)

* Dev: Test to sleep (CI)

* Dev: Dump body (CI)

* Dev: Add missing xml lib ext (CI)

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Dev: Remove try-catch around index

* Release 3.28.43+221221

* Dev Automatic translation update

* Dev: Fix iframe bug in unit test

* Updated translation: Czech by jelen1
Updated translation: Italian by lfanfoni
Updated translation: Czech (Informal) by jelen1
Updated translation: Italian (Informal) by lfanfoni

* Release 3.28.44+230110

* Updated translation: Afrikaans by c_schmitz
Updated translation: Arabic by c_schmitz, Shatha
Updated translation: Bulgarian by c_schmitz
Updated translation: Danish by c_schmitz
Updated translation: Greek by c_schmitz
Updated translation: Spanish (Spain) by c_schmitz
Updated translation: Spanish (Mexican) by c_schmitz
Updated translation: Estonian by c_schmitz
Updated translation: Hindi by c_schmitz
Updated translation: Croatian by c_schmitz
Updated translation: Hungarian by c_schmitz
Updated translation: Indonesian by c_schmitz
Updated translation: Korean by c_schmitz
Updated translation: Luxembourgish by Mazi
Updated translation: Lithuanian by c_schmitz
Updated translation: Latvian by c_schmitz
Updated translation: Mongolian by c_schmitz
Updated translation: Norwegian (Bokmål) by c_schmitz
Updated translation: Norwegian (Nynorsk) by c_schmitz
Updated translation: Polish by c_schmitz, elissa
Updated translation: Portuguese (Brazil) by c_schmitz
Updated translation: Romanian by c_schmitz
Updated translation: Russian by c_schmitz
Updated translation: Slovenian by c_schmitz
Updated translation: Swedish by c_schmitz
Updated translation: Thai by c_schmitz
Updated translation: Turkish by c_schmitz
Updated translation: Ukrainian by c_schmitz
Updated translation: Vietnamese by c_schmitz
Updated translation: Spanish (Argentina) (Informal) by c_schmitz
Updated translation: Polish (Informal) by elissa
Updated translation: Chinese (Simplified) by c_schmitz

* Release 3.28.45+230117

* Updated translation: Dutch by Han
Updated translation: Dutch (Informal) by Han

* Release 3.28.46+230124

* Updated translation: Bulgarian by c_schmitz
Updated translation: Bosnian by DenisChenu
Updated translation: French (France) by DenisChenu
Updated translation: Hindi by lucas_encuesta.biz, PawelAtroszko
Updated translation: Malay by PawelAtroszko
Updated translation: Urdu by lucas_encuesta.biz

* Fixed issue 18562: Upload question type partially broken (#2811)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Dev Automatic translation update

* Release 3.28.47+230131

* Updated translation: Armenian by c_schmitz

* Fixed issue: Unable to remove an expired ComfortUpdate key

* Dev Raised updater version to 18

* Fixed issue: Unable to remove an expired ComfortUpdate key

* Updated translation: Croatian by c_schmitz
Updated translation: Swedish by c_schmitz
Updated translation: Turkish by c_schmitz
Updated translation: Chinese (Simplified) by c_schmitz

* Updated translation: Filipino by TobyCarslake
Updated translation: Maltese by PawelAtroszko
Updated translation: Urdu by PawelAtroszko

* Fixed issue: Unable to add an new ComfortUpdate key

* Updated translation: Danish by c_schmitz
Updated translation: German by c_schmitz
Updated translation: Spanish (Mexican) by c_schmitz
Updated translation: Hindi by c_schmitz
Updated translation: Indonesian by c_schmitz
Updated translation: Korean by c_schmitz
Updated translation: Mongolian by c_schmitz
Updated translation: Norwegian (Bokmål) by c_schmitz
Updated translation: Portuguese (Brazil) by tamiel
Updated translation: Romanian by c_schmitz
Updated translation: Russian by c_schmitz
Updated translation: Vietnamese by c_schmitz
Updated translation: German (Informal) by c_schmitz, eddylackmann, moeller
Updated translation: Chinese (Taiwan) (Traditional) by c_schmitz

* Updated translation: Portuguese (Brazil) by c_schmitz

* Updated translation: Portuguese (Portugal) by c_schmitz
Updated translation: Portuguese (Brazil) by tamiel
Updated translation: German (Easy) by c_schmitz

* Release 3.28.48+230207

* Updated translation: Malay by c_schmitz
Updated translation: Tagalog by c_schmitz

* Fixed issue: Intermittent unstyled page when creating/copying a survey

* Updated translation: Malay by c_schmitz

* Updated translation: Bengali by PawelAtroszko

* Release 3.28.49+230215

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated moment.js to version 2.29.4

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated jQuery UI to version v1.13.2

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated ckEditor to 4.20.2

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated Select2 to 4.0.13

* Release 3.28.50+230221

* Fixed issue 18407: On-page conditions not working when pre-filling question with equation on the same page (#2676)

Dev: ASSIGN didn't work really with javascript,
Dev: Minimal fix to don't throw JS error

* Fixed issue 18532: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values (PR #2755)

Fixed issue 18532: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values

* Updated translation: Bosnian by amer.kurta
Updated translation: Ukrainian by c_schmitz

* Release 3.28.51+230228

* Renamed wrong "nameaccesskey" to "accesskey"

* Updated translation: Basque by admin67
Updated translation: Valencian by vbraque

* Fixed issue: Unable to run integrity check on databases with a big number of surveys

* Updated translation: Russian by vipgroup

* Release 3.28.52+230307

* Updated translation: Japanese by d_inoue
Updated translation: Polish by elissa

* Release 3.28.53+230314

* Fixed issue: $aFiles can be null

* Feature 18197: Allow GA4 tracking (#2962)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Dev: Null coalesce operator is not available in PHP 5.6

* Release 3.28.54+230321

* Fixed issue 18071: Importing Qaestion through Remote Control may fail if the imported question already exists (#2972)

Co-authored-by: Gabriel Jenik <gabriel.jenik@gmail.com>

* Fixed issue: Division by Zero error when running statistics

* Dev Automatic translation update

* Release 3.28.55+230328

* Fixed issue: PCLZip error on last step of ComfortUpdate when trying to update from version 3 to latest version

* Release 3.28.56+230404

* Fixed issue 18703: Upload files show error if not seen (using index) (#3014)

* Dev Small test change

* Dev Updated runner for Github actions

* Updated translation: Norwegian (Bokmål) by pmonstad
Updated translation: Turkish by kayazeren
Updated translation: German (Easy) by c_schmitz

* Release 3.28.57+230425

* Fixed issue 18603: Set Minimum number of files for File Upload not working (#2864)

Dev: allow "" and max and min file

* Fixed issue 18639: Token browse can be unusable with lot of data in attribute (#2915)

Dev: wrap value inside in cell (and encode)
Dev: PHP part, need a micro CSS art after
Dev: css part, apply to .grid-view .table td .text-content
Dev: PSR
Dev: Move to CustomFormatter->formatLongText
Dev: apply max-width and min-width with less than 50 caracter too

* Updated translation: Norwegian (Bokmål) by pmonstad

* Updated translation: Swedish by maxzomborszki

* Dev: Spit out php version and modules in CI

* Dev: More info in error message

* Dev: Do MySQL service fixes before installation (CI)

* Release 3.28.58+230504

* Dev: Dump available logs (CI)

* Dev: Tail MySQL error log (CI)

* Dev: Tail as background task (CI)

* Dev: YML syntax error

* Dev: More CI debugging

* Fixed issue 18343: Problem with interpreting double slash in URL (IIS) (#2630)

Dev: use PHP to construct the url
Dev: check if non empty before adding it
Dev: editorurl

* Fixed issue 18634: Export single selected response can export a empty line (#2909)

* Fixed issue 18634: Export single selected response can export a empty line
Dev: id set in url, resonseId in POST (by session)
Dev: remove session usage
Dev: can move to window-location-href, but ready for POST

* Dev: separator to ,

* Dev: oups, lost the allow separator in widget

* Dev: Fixed new tab opens

* Dev Automatic translation update

* Dev: Must check PHP 5.6 syntax before anything else (CI)

* Dev: Wrong ordering (CI)

* Revert "Fixed issue 18343: Problem with interpreting double slash in URL (IIS) (#2630)" (#3130)

This reverts commit ebb447a803af3a2c010437c69e92a66904a08ab8.

* Fixed issue 17491: Multiple Short Text subquestions missing from Export Printable Survey

---------

Co-authored-by: Gabriel Jenik <gabriel.jenik@gmail.com>
Co-authored-by: Denis Chenu <denis@sondages.pro>
Co-authored-by: LimeSurvey Translations Bot <translations@limesurvey.org>
Co-authored-by: olleharstedt <olleharstedt@yahoo.com>
Co-authored-by: Carsten Schmitz <carsten.schmitz@limesurvey.org>
Co-authored-by: François Charles Hébert <68611027+fsay2604@users.noreply.github.com>
Co-authored-by: Roberto Longobardi <530743+seccanj@users.noreply.github.com>
Co-authored-by: c-schmitz <carsten.schmitz.hh@gamil.com>
Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Co-authored-by: Olle Haerstedt <olle.haerstedt@limesurvey.org>
Co-authored-by: Carsten Schmitz <c_schmitz@users.sourceforge.net>
Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Co-authored-by: Marcel Minke <maziminke@web.de>
Affected Issues
14310, 14386, 15195, 15310, 16187, 16697, 16795, 17117, 17173, 17458, 17488, 17491, 17709, 17818, 17870, 17872, 17883, 17950, 17952, 17962, 17972, 17987, 18029, 18043, 18071, 18074, 18086, 18106, 18128, 18129, 18133, 18134, 18140, 18141, 18160, 18183, 18186, 18189, 18201, 18209, 18240, 18338, 18343, 18344, 18351, 18407, 18430, 18461, 18488, 18492, 18532, 18562, 18603, 18634, 18639, 18703
mod - application/controllers/admin/printablesurvey.php Diff File

Issue History

Date Modified Username Field Change
2021-08-01 14:56 tpartner New Issue
2021-08-01 14:56 tpartner File Added: capture_2.png
2021-08-01 14:56 tpartner File Added: capture_3.png
2021-08-01 14:56 tpartner File Added: capture_4.png
2021-08-01 15:57 DenisChenu Note Added: 65763
2021-08-01 15:58 DenisChenu Note Added: 65764
2021-08-01 16:20 tpartner Note Added: 65765
2021-08-01 16:27 tpartner Note Added: 65766
2021-08-02 10:34 ollehar Note Added: 65767
2021-08-02 10:35 ollehar Note Added: 65768
2021-08-02 10:35 ollehar Note Added: 65769
2021-08-02 10:35 ollehar Note Added: 65770
2021-08-02 15:07 tpartner Note Added: 65773
2021-08-02 15:08 ollehar Note Added: 65774
2021-08-02 16:44 DenisChenu Note Added: 65776
2021-08-02 16:49 ollehar Note Added: 65777
2021-08-03 12:32 ollehar Note Added: 65785
2021-08-03 12:32 ollehar Assigned To => ollehar
2021-08-03 12:32 ollehar Status new => feedback
2021-08-03 13:27 tpartner Note Added: 65786
2021-08-03 13:27 tpartner Status feedback => assigned
2021-08-03 14:00 ollehar Note Added: 65787
2021-08-03 14:26 tpartner Note Added: 65788
2021-08-03 14:26 tpartner File Added: TestFunction1_Twig_Extension.zip
2021-08-03 15:20 ollehar Priority none => normal
2021-08-03 16:07 ollehar Note Added: 65791
2021-08-03 16:44 galads Note Added: 65794
2021-08-03 16:44 galads Bug heat 6 => 8
2021-08-03 16:45 galads Status assigned => acknowledged
2021-08-13 15:16 galads Priority normal => low
2021-08-13 15:16 galads Summary Cannot view survey after updating to version 3.27.9 => Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey)
2021-09-21 15:43 Mazi Issue Monitored: Mazi
2021-09-21 15:43 Mazi Bug heat 8 => 10
2021-11-24 11:33 KRav Note Added: 67530
2021-11-24 11:33 KRav Bug heat 10 => 12
2022-04-11 14:12 tpartner Note Added: 68994
2022-04-13 08:53 galads Note Added: 69033
2022-04-13 13:00 tpartner Note Added: 69046
2022-04-13 13:02 DenisChenu Note Added: 69047
2022-04-13 13:06 ollehar Note Added: 69048
2022-04-13 13:08 ollehar Note Added: 69049
2022-04-21 19:21 gabrieljenik Assigned To ollehar => gabrieljenik
2022-04-21 19:21 gabrieljenik Status acknowledged => ready for testing
2022-04-21 19:21 gabrieljenik Note Added: 69180
2022-04-21 19:21 gabrieljenik Bug heat 12 => 14
2022-07-05 19:32 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-07-05 19:32 gabrieljenik Status ready for testing => ready for code review
2022-07-06 15:12 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-07-06 15:12 DenisChenu Status ready for code review => ready for testing
2022-07-06 15:12 DenisChenu Note Added: 70764
2022-07-06 20:00 tpartner Note Added: 70779
2022-07-06 20:01 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS dd1b4513
2022-07-06 20:01 gabrieljenik Note Added: 70780
2022-07-06 20:01 gabrieljenik Resolution open => fixed
2022-07-06 20:10 gabrieljenik Note Added: 70781
2022-07-06 20:15 tpartner Note Added: 70782
2022-07-11 11:28 LimeBot Note Added: 70828
2022-07-11 11:28 LimeBot Status ready for testing => closed
2022-07-11 11:28 LimeBot Bug heat 14 => 16
2022-07-11 13:44 tpartner Note Added: 70845
2022-07-11 13:46 ollehar Note Added: 70846
2022-07-11 13:54 tpartner Note Added: 70847
2022-07-11 13:54 tpartner File Added: capture-3.png
2022-07-11 14:39 ollehar Status closed => new
2022-07-11 14:39 ollehar Resolution fixed => reopened
2022-07-11 14:39 ollehar Summary Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) => Cannot view survey after updating to version 3.27.9 (also in LS5) with custom twig extension (breaks survey)
2022-07-11 15:23 ollehar Status new => confirmed
2022-07-11 15:23 ollehar Complete LimeSurvey version number (& build) 3.27.9 => LS5
2022-07-11 16:19 gabrieljenik Status confirmed => assigned
2022-07-18 14:55 gabrieljenik Note Added: 70999
2022-07-18 14:55 gabrieljenik Status assigned => ready for testing
2022-07-27 13:32 tpartner Note Added: 71178
2022-07-27 15:16 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-07-27 15:16 gabrieljenik Status ready for testing => ready for code review
2022-07-27 15:17 gabrieljenik Note Added: 71182
2022-07-29 18:14 DenisChenu Status ready for code review => ready for merge
2022-07-29 20:39 DenisChenu Assigned To DenisChenu =>
2022-08-02 10:44 gabrieljenik Changeset attached => LimeSurvey master 0d1f8bd9
2022-08-02 10:44 gabrieljenik Note Added: 71291
2022-08-02 10:44 gabrieljenik Assigned To => gabrieljenik
2022-08-02 10:44 gabrieljenik Resolution reopened => fixed
2022-08-02 11:27 ollehar Status ready for merge => resolved
2022-08-08 09:17 LimeBot Note Added: 71371
2022-08-08 09:17 LimeBot Status resolved => closed
2023-06-01 17:44 adamzammit Changeset attached => LimeSurvey 3.x-LTS 6cd2e8b8
2023-06-01 17:44 adamzammit Note Added: 75336
2023-06-01 17:44 adamzammit Bug heat 16 => 18
2023-06-01 17:44 adamzammit Assigned To gabrieljenik => adamzammit